I need help finding the right Diablo 2

Jamie

Diabloii.Net Member
I really want to play 1.07 and of all the Diablo discs I have access to, it forces me to install my D2 expansion at a higher patch. Does anybody know where I could purchase Diablo 2 and Diablo 2: LoD discs that will allow me to start at 1.07 expansion like the original discs do. All I have anymore are newer apparently and I couldn't figure out how to get the patch changer to work :(
 

Excalibur

Diabloii.Net Member
As far as I know, only the digital version is installed with 1.12. If you install it with your CDs it will stay at 1.07.
 

pharphis

Diabloii.Net Site Pal
About 10 years ago they made another batch of battle chests which were all 1.12 disks, actually. Many people have been using these instead of the original battlechests
 

Jamie

Diabloii.Net Member
It installs at 1.11 through 1.13 I believe when I use the battle chests from Wal-Mart that I have purchased. I had some old discs, but not all of them. Yesterday I tried to do it and it wanted me to use a LoD Disc 1, which I don't even have. It is so frustrating!!

All I want is to find copies of original D2 and its discs and d2:LoD and that disc and I want those copies to be ones that were on the market for sale when the classic discs would take you to 1.00 or early classic and the expansion would always upgrade it to 1.07.

Anybody know places to find these old school discs I am looking for?
 

Jamie

Diabloii.Net Member
I want a 1.07 Valor, Shako, Arreat's Face, Vampire Gaze, Stormshield, Highlord's Rare boots/gloves/rings/amulets, max damage and other charms, max damage jewels and sooo many cool things.

Some of those cool things being something like a shield with +2din/high resist/high ed socketed with 4 sockets. Armors with 90+ life, a desirable prefix and 4 sockets (same with helms and 3 sockets and little less +life.
 

DiabloTwoinDC

Diabloii.Net Member
I want a 1.07 Valor, Shako, Arreat's Face, Vampire Gaze, Stormshield, Highlord's Rare boots/gloves/rings/amulets, max damage and other charms, max damage jewels and sooo many cool things.

Some of those cool things being something like a shield with +2din/high resist/high ed socketed with 4 sockets. Armors with 90+ life, a desirable prefix and 4 sockets (same with helms and 3 sockets and little less +life.
If you install it (1.07), they will come.. :D
 

Fruit

Diabloii.Net Member
Content deleted. I know you are trying to be helpful, but this is copyright infringement in most countries.

max.
 
Last edited by a moderator:

darkstarhub

Diabloii.Net Member
My old buddy has a battle chest that I am sure contains the 1.07 discs. I am gonna try to buy it off him. I have my original CDs which of course would be 1.00 and the other versions all start at 1.12. I just really do not want to mess with a version switcher.
 

Jamie

Diabloii.Net Member
<quote deleted>

My old buddy has a battle chest that I am sure contains the 1.07 discs. I am gonna try to buy it off him. I have my original CDs which of course would be 1.00 and the other versions all start at 1.12. I just really do not want to mess with a version switcher.
This is the route I really want to go. I want to find somebody's old versions of the game to purchase. I don't care bout the Cd Keys being used or anything. It would be nice to get valid keys with them to make sure I can install the game properly, but I will never take it online.
 
Last edited by a moderator:

Jamie

Diabloii.Net Member
@Fruit I haven't used eBay in years and years.. since I used to sell Diablo 2 items in 1.09 and buy sports cards lol. I don't think I have accounts for that or Paypal or any of that. I am old fashioned. I also didn't know if I could trust to get the right set of discs from there. Do you think that is the best place to go?
 

logoutzero

Diabloii.Net Member
I got my 1.00 discs on eBay. Gotta look at the physical disc to find the right ones, if they are pre-patched, there will be a little golden square in the bottom left of the CD that says "Version..."

1.00 discs will not show any version on their face.

Cool thing, I had a $10 coupon from eBay, seller wanted less than $9 with shipping, so they were completely free!
 

JoeBruce

Diabloii.Net Member
I got my 1.00 discs on eBay. Gotta look at the physical disc to find the right ones, if they are pre-patched, there will be a little golden square in the bottom left of the CD that says "Version..."

1.00 discs will not show any version on their face.
FYI, my old discs say "Version 1.0" - so you are correct that the disc will tell you, but even if they are the original version (at least for mine - would not be surprised if older discs did not have the version). They came from a battlechest purchased a long time ago in a Best Buy far, far away...

+1 for eBay. Maybe even try Amazon.
 

Pringlesman

Diabloii.Net Member
FYI, my old discs say "Version 1.0" - so you are correct that the disc will tell you, but even if they are the original version (at least for mine - would not be surprised if older discs did not have the version). They came from a battlechest purchased a long time ago in a Best Buy far, far away...

+1 for eBay. Maybe even try Amazon.
I got my 1.0 copy of d2 on eBay and it has the 1.0 box on it.
 

Jamie

Diabloii.Net Member
For whatever reason, the dics that I currently have are fine to install classic. But when I start to download expansion now, it asks for LOD Disc 1... the only LOD Disc I have is the only LoD Disc that I ever knew exist. I don't understand what that crap is about, but it makes it so now I can't even install LoD on the extra laptop that I now have that used to be my father's. So I want to go out and somehow find old school D2 and LoD so I can play 1.07 on that laptop and keep mine where it is.
 

Fruit

Diabloii.Net Member
Are you positive it is asking for a LoD Disc 1? My guess is that it is actually asking for the Classic Disc 1. The LoD install has to ensure that you have all the Classic files on your PC, otherwise you would need 2 CDs in your drives to have access to all the files needed to play the game.

If I'm wrong, perhaps you could make a screenshot of the error?
 

logoutzero

Diabloii.Net Member
I went digging through an old tote to find my CDs today. I forgot how many copies I have! (4 complete sets of D2C discs, at least 2 other incomplete sets ((mis-matched versions)) of D2C, 3 LoD discs, and digital stored on my Battle.Net account)

Anyway, I couldn't find a complete set of 1.00 discs, so I installed from a set of 1.03. Run the game, and screen says Version 1.00

Not sure what the "Version" block is anymore, maybe the installer version?
 
Top